package com.bonus.canteen.core.nutrition.common.enums;

public enum PregnantStatusEnum {
   SECRET(0, "保密"),
   NOT_PREGNANT(1, "未怀孕"),
   FIRST_TRIMESTER(2, "孕早期"),
   SECOND_TRIMESTER(3, "孕中期"),
   LATE_PREGNANCY(4, "孕晚期"),
   WET_NURSE(5, "乳母");

   private final Integer key;
   private final String value;

   private PregnantStatusEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
